<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
error_reporting(error_reporting() & ~E_NOTICE);    
if (!file_exists(JPATH_SITE.'/components/com_jshopping/jshopping.php')){
    JError::raiseError(500,"Please install component \"joomshopping\"");
} 

require_once (dirname(__FILE__).'/helper.php');

require_once (JPATH_SITE.'/components/com_jshopping/lib/factory.php'); 
require_once (JPATH_SITE.'/components/com_jshopping/lib/jtableauto.php');
require_once (JPATH_SITE.'/components/com_jshopping/tables/config.php'); 
require_once (JPATH_SITE.'/components/com_jshopping/lib/functions.php');
require_once (JPATH_SITE.'/components/com_jshopping/lib/multilangfield.php');
    
JSFactory::loadCssFiles();
  
$lang = JFactory::getLanguage();
if(file_exists(JPATH_SITE.'/components/com_jshopping/lang/' . $lang->getTag() . '.php')) 
    require_once (JPATH_SITE.'/components/com_jshopping/lang/'.  $lang->getTag() . '.php'); 
else 
    require_once (JPATH_SITE.'/components/com_jshopping/lang/en-GB.php'); 
    
JTable::addIncludePath(JPATH_SITE.'/components/com_jshopping/tables'); 


	
$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_bxslider_jshopping_category/assets/css/jquery.bxslider.css');
$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_easing			= (int)$params->get('ext_load_easing', 1);
$ext_load_bxslider			= (int)$params->get('ext_load_bxslider', 1);
//$ext_load_scripts			= (int)$params->get('ext_load_scripts', 1);
$ext_prod_name				= (int)$params->get('ext_prod_name', 1);
$field_sort 				= $params->get('sort', 'id');
$ordering 					= $params->get('ordering', 'asc');
$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_generate_id			=(int)$params->get('ext_generate_id', 1);
$ext_id						= $params->get('ext_id', '1');
if ($ext_generate_id == 1) {
	$rand1 = rand(1,100);
	$rand2 = rand(1,100);
	$ext_id = $rand1.$rand2;
}


// bxSlider options - http://bxslider.com/options
$ext_mode					= $params->get('ext_mode', 'horizontal');
$ext_speed					= (int)$params->get('ext_speed', 500);
$ext_controls				= $params->get('ext_controls', 'true');
$ext_auto					= $params->get('ext_auto', 'false');
$ext_autohover				= $params->get('ext_autohover', 'false');
$ext_pause					= (int)$params->get('ext_pause', 3000);
$ext_auto_controls			= $params->get('ext_auto_controls', 'true');
$ext_auto_delay				= (int)$params->get('ext_auto_delay', 0);
$ext_pager					= $params->get('ext_pager', 'true');
$ext_pager_type 			= $params->get('ext_pager_type', 'full');
$ext_pager_saparator		= $params->get('ext_pager_saparator', '/');
$ext_min_slides				= (int)$params->get('ext_min_slides', 1);
$ext_max_slides				= (int)$params->get('ext_max_slides', 5);
$ext_slide_width			= (int)$params->get('ext_slide_width', 0);
$ext_slide_margin			= (int)$params->get('ext_slide_margin', 0);
$ext_adaptive_height		= $params->get('ext_adaptive_height', 'false');
$ext_adaptive_height_speed	= (int)$params->get('ext_adaptive_height_speed', 500);
$ext_easing					= $params->get('ext_easing', 'null');
$ext_random_start			= $params->get('ext_random_start', 'false');


$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ(); 


SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}
if ($ext_load_easing  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_jshopping_category/assets/js/jquery.easing.1.3.js"></script>'); 
}
if ($ext_load_bxslider > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_jshopping_category/assets/js/jquery.bxslider.min.js"></script>');
}
$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	

 
$category_id = JRequest::getInt('category_id');
$category = JTable::getInstance('category', 'jshop');        
$category->load($category_id);
$categories_id = $category->getTreeParentCategories();
$categories_arr = jShopExtCategoriesHelper::getCatsArray($field_sort, $ordering, $category_id, $categories_id);
$jshopConfig = JSFactory::getConfig();

require JModuleHelper::getLayoutPath('mod_ext_bxslider_jshopping_category', $params->get('layout', 'default'));
?>